﻿using Hi.Disp;
using Hi.Disp.Flag;
using Hi.Geom;
using Hi.Licenses;
using Hi.Wpf.Disp;
using System;
using System.Windows;

namespace Hi.Wpf
{
    static class Program
    {
        [STAThread]
        public static int Main(string[] args)
        {
            License.LogInAll();
            DispEngine.Init();

            Application app = new Application
            {
                ShutdownMode = ShutdownMode.OnMainWindowClose
            };
            app.Exit += (o, e) =>
            {
                DispEngine.FinishDisp();
                License.LogOutAll();
                Console.WriteLine($"App exit.");
            };
            RenderingWindow window = new RenderingWindow() { Title = "Demo WPF RenderingCanvas" };
            window.RenderingCanvas.DispEngine.Displayee = new DispList(
                new CoordinateDrawing(), new Stl(Box3d.CenterUnitBox).ToFaceDrawing());
            window.RenderingCanvas.DispEngine.SetViewToHomeView();
            return app.Run(window);
        }
    }
}
